Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90	(revision 5134)
@@ -46,7 +46,7 @@
   !    ------------------
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !    Arguments :
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/advect.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/advect.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/advect.F90	(revision 5134)
@@ -28,7 +28,7 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90	(revision 5134)
@@ -18,11 +18,11 @@
   USE lmdz_iniprint, ONLY: lunout, prt_level
   USE lmdz_ssum_scopy, ONLY: scopy
+  USE lmdz_comdissip, ONLY: coefdis, tetavel, tetatemp, gamdissip, niterdis
 
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissip.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   !---------------------------------------------------------------------------
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90	(revision 5134)
@@ -18,7 +18,7 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   !====================================================================
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90	(revision 5134)
@@ -24,6 +24,6 @@
   !=======================================================================
 
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/caldyn.F90	(revision 5134)
@@ -25,7 +25,7 @@
   !   ----------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90	(revision 5134)
@@ -5,5 +5,5 @@
 
    IMPLICIT NONE
-   include "dimensions.h"
+   INCLUDE "dimensions.h"
    REAL,             INTENT(INOUT) :: q(ip1jmp1,llm,nqtot)
    INTEGER,          INTENT(IN)    :: ip1jmp1
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90	(revision 5134)
@@ -17,5 +17,6 @@
   USE temps_mod, ONLY: calend, year_len
   USE lmdz_iniprint, ONLY: lunout, prt_level
-
+  USE lmdz_comdissnew, ONLY: lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
 
   IMPLICIT NONE
@@ -34,7 +35,6 @@
   !   Declarations :
   !   --------------
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissnew.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   !   local:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/covnat.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/covnat.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/covnat.F90	(revision 5134)
@@ -18,7 +18,7 @@
   !=======================================================================
 
- include "dimensions.h"
- include "paramet.h"
- include "comgeom.h"
+ INCLUDE "dimensions.h"
+ INCLUDE "paramet.h"
+ INCLUDE "comgeom.h"
 
   INTEGER :: klevel
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/dissip.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/dissip.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/dissip.F90	(revision 5134)
@@ -2,6 +2,8 @@
 
 SUBROUTINE dissip(vcov, ucov, teta, p, dv, du, dh)
-  !
   USE comconst_mod, ONLY: dtdiss
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
+  USE lmdz_comdissnew, ONLY: lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
 
   IMPLICIT NONE
@@ -26,9 +28,7 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
-  include "comdissnew.h"
-  include "comdissipn.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/dteta1.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/dteta1.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/dteta1.F90	(revision 5134)
@@ -20,6 +20,6 @@
   !=======================================================================
 
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   REAL :: teta(ip1jmp1, llm), pbaru(ip1jmp1, llm), pbarv(ip1jm, llm)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv1.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv1.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv1.F90	(revision 5134)
@@ -18,6 +18,6 @@
   !-----------------------------------------------------------------------
 
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   REAL :: vorpot(ip1jm, llm), pbaru(ip1jmp1, llm), &
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv2.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv2.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/dudv2.F90	(revision 5134)
@@ -25,6 +25,6 @@
   !=======================================================================
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   REAL :: teta(ip1jmp1, llm), pkf(ip1jmp1, llm), bern(ip1jmp1, llm), &
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5134)
@@ -25,7 +25,7 @@
 
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90	(revision 5134)
@@ -22,7 +22,7 @@
 
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
   !===============================================================================
   ! Arguments:
@@ -169,7 +169,7 @@
 
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !===============================================================================
   ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem_mod.F90	(revision 5134)
@@ -7,6 +7,6 @@
   PUBLIC :: dynredem_write_u, dynredem_write_v, dynredem_read_u, err
   PUBLIC :: cre_var, put_var1, put_var2, fil, modname, msg
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   CHARACTER(LEN = 256), SAVE :: fil, modname
   INTEGER, SAVE :: nvarid
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90	(revision 5134)
@@ -16,8 +16,8 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
-  include "tracstoke.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
+  INCLUDE "tracstoke.h"
 
   REAL :: time_step, t_wrt, t_ops
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90	(revision 5134)
@@ -8,5 +8,5 @@
   USE comconst_mod, ONLY: pi
   USE lmdz_iniprint, ONLY: lunout, prt_level
-
+  USE lmdz_academic, ONLY: tetarappel, knewt_t, kfrict, knewt_g, clat4
 
   IMPLICIT NONE
@@ -24,8 +24,7 @@
   !=======================================================================
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
-  include "academic.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   ! arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5134)
@@ -28,5 +28,6 @@
   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   USE lmdz_iniprint, ONLY: lunout, prt_level
-
+  USE lmdz_comdissnew, ONLY: lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
 
   IMPLICIT NONE
@@ -62,9 +63,8 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissnew.h"
-  include "comgeom.h"
-  include "tracstoke.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
+  INCLUDE "tracstoke.h"
 
   REAL zdtvr
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90	(revision 5134)
@@ -20,7 +20,7 @@
   !   pas besoin de w en entree.
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   ! integer ngroup
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/groupeun.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/groupeun.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/groupeun.F90	(revision 5134)
@@ -7,7 +7,7 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   INTEGER :: jjmax, llmax
@@ -137,7 +137,7 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   ! INTEGER ngroup
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5134)
@@ -678,7 +678,7 @@
     IMPLICIT NONE
 
-    include "dimensions.h"
-    include "paramet.h"
-    include "comgeom2.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
+    INCLUDE "comgeom2.h"
 
     REAL, DIMENSION (iip1, jjp1), INTENT(IN) :: psi ! Psol gcm
@@ -928,7 +928,7 @@
     IMPLICIT NONE
 
-    include "dimensions.h"
-    include "paramet.h"
-    include "comgeom2.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
+    INCLUDE "comgeom2.h"
 
     ! input arguments :
@@ -1094,6 +1094,6 @@
     IMPLICIT NONE
 
-    include "dimensions.h"
-    include "paramet.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
 
     INTEGER, INTENT(IN) :: timestep
@@ -1390,6 +1390,6 @@
     IMPLICIT NONE
 
-    include "dimensions.h"
-    include "paramet.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
 
     INTEGER, INTENT(IN) :: timestep
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/iniacademic.F90	(revision 5134)
@@ -19,5 +19,5 @@
   USE lmdz_ran1, ONLY: ran1
   USE lmdz_iniprint, ONLY: lunout, prt_level
-
+  USE lmdz_academic, ONLY: tetarappel, knewt_t, kfrict, knewt_g, clat4
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -30,8 +30,7 @@
   !   ---------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
-  include "academic.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/integrd.F90	(revision 5134)
@@ -33,7 +33,7 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90	(revision 5134)
@@ -28,5 +28,7 @@
   USE lmdz_iniprint, ONLY: lunout, prt_level
   USE lmdz_ssum_scopy, ONLY: scopy, ssum
-
+  USE lmdz_academic, ONLY: tetarappel, knewt_t, kfrict, knewt_g, clat4
+  USE lmdz_comdissnew, ONLY: lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
 
   IMPLICIT NONE
@@ -63,9 +65,7 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissnew.h"
-  include "comgeom.h"
-  include "academic.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   REAL, INTENT(IN) :: time_0 ! not used
@@ -686,5 +686,5 @@
         ! For some Grads outputs of fields
         IF (output_grads_dyn) THEN
-          include "write_grads_dyn.h"
+          INCLUDE "write_grads_dyn.h"
         endif
       endif ! of if (leapf.OR.(.NOT.leapf.AND.(.NOT.forward)))
@@ -806,5 +806,5 @@
         ! For some Grads outputs
         IF (output_grads_dyn) THEN
-          include "write_grads_dyn.h"
+          INCLUDE "write_grads_dyn.h"
         endif
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/paramet.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/paramet.h	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/paramet.h	(revision 5134)
@@ -3,5 +3,5 @@
 
 
-!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!  ATTENTION!!!!: ce fichier INCLUDE est compatible format fixe/format libre
 !                 veillez  n'utiliser que des ! pour les commentaires
 !                 et  bien positionner les & des lignes de continuation
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90	(revision 5134)
@@ -8,11 +8,11 @@
   USE lmdz_ssum_scopy, ONLY: ssum
 
-  IMPLICIT none
+  IMPLICIT NONE
   !
   !  -- Objet : Traiter les valeurs trop petites (meme negatives)
   !         pour l'eau vapeur et l'eau liquide
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   INTEGER :: nqtot
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90	(revision 5134)
@@ -21,5 +21,6 @@
         grossismx, grossismy, dzoomx, dzoomy,taux,tauy
   USE mod_const_mpi, ONLY: comm_lmdz
-
+  USE lmdz_comdissnew, ONLY: lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
 
   IMPLICIT NONE
@@ -55,8 +56,7 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissnew.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   REAL zdtvr
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/sw_case_williamson91_6.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/sw_case_williamson91_6.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/sw_case_williamson91_6.F90	(revision 5134)
@@ -34,7 +34,7 @@
   !   ---------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90	(revision 5134)
@@ -6,7 +6,7 @@
 
   ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
-  IMPLICIT none
+  IMPLICIT NONE
 
-  include "dimensions.h"
+  INCLUDE "dimensions.h"
 
   !================================================================
@@ -43,5 +43,5 @@
   ! REAL ptop, pbot, aist(klon), aisb(klon)
   !
-  include "paramet.h"
+  INCLUDE "paramet.h"
   !
   INTEGER :: lt(ip1jm), lb(ip1jm)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90	(revision 5134)
@@ -6,7 +6,7 @@
 
   ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
-  IMPLICIT none
+  IMPLICIT NONE
 
-  include "dimensions.h"
+  INCLUDE "dimensions.h"
 
   !================================================================
@@ -43,5 +43,5 @@
   ! REAL ptop, pbot, aist(klon), aisb(klon)
   !
-  include "paramet.h"
+  INCLUDE "paramet.h"
   !
   INTEGER :: lt(ip1jmp1), lb(ip1jmp1)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90	(revision 5134)
@@ -7,10 +7,11 @@
   USE comvert_mod, ONLY: presnivs, preff, scaleheight
   USE lmdz_iniprint, ONLY: lunout, prt_level
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
 
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
 
@@ -52,6 +53,4 @@
   !    tau_top_bound : inverse of charactericstic relaxation time scale at
   !                   the topmost layer (Hz)
-
-  include "comdissipn.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90	(revision 5134)
@@ -22,6 +22,6 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   !
@@ -120,6 +120,6 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   !
@@ -437,7 +437,7 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !
@@ -756,6 +756,6 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90	(revision 5134)
@@ -29,6 +29,6 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   !
@@ -188,6 +188,6 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   !
@@ -525,7 +525,7 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90	(revision 5134)
@@ -14,5 +14,5 @@
   !    titlevar   Titre
 
-  include "gradsdef.h"
+  INCLUDE "gradsdef.h"
 
   !   arguments
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90	(revision 5134)
@@ -7,10 +7,11 @@
   USE comconst_mod, ONLY: dtvr
   USE lmdz_description, ONLY: descript
+  USE lmdz_comdissip, ONLY: coefdis, tetavel, tetatemp, gamdissip, niterdis
+
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissip.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   !----------------------------------------------------------
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.f90	(revision 5134)
@@ -19,7 +19,7 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !
@@ -469,6 +469,6 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advx.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advx.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advx.f90	(revision 5134)
@@ -23,6 +23,6 @@
   !  parametres principaux du modele
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   !  Arguments :
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advxp.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advxp.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advxp.f90	(revision 5134)
@@ -13,6 +13,6 @@
   !  parametres principaux du modele
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
    INTEGER :: ntra
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advy.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advy.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advy.f90	(revision 5134)
@@ -26,7 +26,7 @@
   !
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   !  Arguments :
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advyp.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advyp.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advyp.f90	(revision 5134)
@@ -28,7 +28,7 @@
   !
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !  Arguments :
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advz.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advz.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advz.f90	(revision 5134)
@@ -21,6 +21,6 @@
   !  parametres principaux du modele
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   ! INCLUDE "traceur.h"
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advzp.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advzp.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advzp.f90	(revision 5134)
@@ -31,7 +31,7 @@
   !  parametres principaux du modele
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !  Arguments :
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/bernoui.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/bernoui.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/bernoui.f90	(revision 5134)
@@ -26,6 +26,6 @@
   !   -------------
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/caldyn0.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/caldyn0.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/caldyn0.F90	(revision 5134)
@@ -9,7 +9,7 @@
   USE comvert_mod, ONLY: ap, bp
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/convmas.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/convmas.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/convmas.F90	(revision 5134)
@@ -7,7 +7,7 @@
   USE lmdz_filtreg, ONLY: filtreg
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/coordij.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/coordij.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/coordij.f90	(revision 5134)
@@ -18,7 +18,7 @@
   INTEGER :: i,j
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   REAL :: zlon,zlat
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/covcont.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/covcont.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/covcont.F90	(revision 5134)
@@ -7,7 +7,7 @@
 !-------------------------------------------------------------------------------
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90	(revision 5134)
@@ -14,6 +14,6 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
 !-------------------------------------------------------------------------------
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90	(revision 5134)
@@ -15,6 +15,6 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   !=======================================================================
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/divgrad.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/divgrad.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/divgrad.f90	(revision 5134)
@@ -4,4 +4,6 @@
   USE lmdz_filtreg, ONLY: filtreg
   USE lmdz_ssum_scopy, ONLY: scopy
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
+
   IMPLICIT NONE
   !
@@ -21,8 +23,7 @@
   !   -------------
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
-  include "comdissipn.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   INTEGER :: klevel
